## Apache Zeta Components Manual :: Docs For Class ezcMailFileSet

### Mail::ezcMailFileSet

### Class ezcMailFileSet

ezcMailFileSet is an internal class that can be used to parse mail directly from files on disk.

Each file should contain only one mail message in RFC822 format. Bad files or non-existing files are ignored.

Example:

1. $set=new ezcMailFileSet (array('path/to/mail/rfc822message.mail') );
2. $parser=new ezcMailParser ();
3. $mail=$parser->parseMail($set);

Source for this file: /Mail/src/transports/file/file_set.php

### Implements interfaces:

- ezcMailParserSet

Version: | //autogen//

### Method Summary

public ezcMailFileSet | `__construct( $files )` Constructs a new set that servers the files specified by $files.
public void | `__destruct( )` Destructs the set.
public string | `getNextLine( )` Returns one line of data from the current mail in the set.
public bool | `hasData( )` Returns whether the file set contains files
public bool | `nextMail( )` Moves the set to the next mail and returns true upon success.

### Methods

#### __construct

ezcMailFileSet __construct( $files )

Constructs a new set that servers the files specified by $files.

The set will start on the first file in the the array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$files` | array(string) |

#### __destruct

void __destruct( )

Destructs the set.

Closes any open files.

#### getNextLine

string getNextLine( )

Returns one line of data from the current mail in the set.

Null is returned if there is no current mail in the set or the end of the mail is reached,

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::getNextLine()` | Returns one line of data from the current mail in the set including the ending linebreak.

#### hasData

bool hasData( )

Returns whether the file set contains files

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::hasData()` | Returns true if mail data is available for parsing.

#### nextMail

bool nextMail( )

Moves the set to the next mail and returns true upon success.

False is returned if there are no more mail in the set.

##### Implementation of:

Method | Description
--- | ---
`ezcMailParserSet::nextMail()` | Moves the set to the next mail and returns true upon success.

Documentation generated by phpDocumentor 1.4.3